Highlighted
Five Stars

Talend Open Studio and Java 1.7

In our company we have to use Java 1.7 because Java 1.6 was going out of support long time ago. For compatibility reasons with TOS I have also installed Java 1.7 on a Windows 7 64Bit machine. Everything works fine so far but I'm a little bit afraid of that moment when I have to uninstall Java 1.6 and have to use Java 1.7 instead.
In this thread (http://www.talendforge.org/forum/viewtopic.php?pid=111421#p111421) Sabrina says that it's strongly recommended to use Java 1.6. In the help center the supported Java runtime environments (https://help.talend.com/search/all?query=Compatible+Platforms&content-lang=en) for Windows 7 32Bit are Java 1.6 and 1.7. So my question is:
When will Talend Open Studio support Java 7 with Windows 7 64Bit?
I also think of the maybe upcoming problems when Java 1.7 will get out of support in April 2015...
Best regards
Frank
Edit: Add URLs
5 REPLIES
Moderator

Re: Talend Open Studio and Java 1.7

Hi,
In the documentation we provide a list of supported OS and Java Runtime environments, in the sense that we do provide an SLA and technical support for them. This doesn't mean other (non-listed)OS and Java Runtime will not work but simply we won't necessarily be equipped to help you with any issue you may face with them.
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Five Stars

Re: Talend Open Studio and Java 1.7

Hi Sabrina,
thanks for your answer. I understand that you can not and maybe will not support any combination of available OS and Java Runtimes. Smiley Happy But Java 1.6 is out of public support since Februar 2013 (http://www.oracle.com/technetwork/java/eol-135779.html).
So, does that mean that I can use TOS with Windows 7 64 Bit and Java 1.7 and when I find bugs in Talend components I report them (step by step)? Isn't it better the developers of the components themselves will make the components compatible with Java 1.7 or Java 1.8?
Best regards
Frank
Moderator

Re: Talend Open Studio and Java 1.7

Hi,
Feel free post a jira issue on Talend Bug Tracker once there is an issue caused by your java 1.7.

Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: Talend Open Studio and Java 1.7

Hi,
I have Java 1.7 intsalled on Ubuntu Ver-12.04 machine. When I am starting my Talend 6.2 its giving me following error - 
java.lang.UnsupportedClassVersionError: org/talend/osgi/configurator/OsgiLoaderActivator : Unsupported major.minor version 52.0.
Is it an issue with Java version ?
Moderator

Re: Talend Open Studio and Java 1.7

Hi,
Actually, this problem "Unsupported major.minor version 52.0." is usually caused by  "a higher JDK during compile time and lower JDK during runtime"
Did you have only one JDK 1.7 in your machine? 
Have you already checked document about:TalendHelpCenter:Compatible Java environments?
Best regards
Sabrina
--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.